Bug 828746 - Review Request: python-profilehooks - Decorators for profiling/timing/tracing individual functions
Review Request: python-profilehooks - Decorators for profiling/timing/tracing...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 06:02 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-07-03 08:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 08:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-06-05 06:02:32 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/profilehooks/python-profilehooks.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/profilehooks/python-profilehooks-1.6-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4128201
Description: Profilehooks is a collection of decorators for profiling functions.
Fedora Account System Username: bkabrda
Comment 1 Jiri Popelka 2012-06-29 08:43:04 EDT
Package Review
==============

[ok] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[ok] MUST: The package must be named according to the Package Naming Guidelines.
[ok] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[ok] MUST: The package must meet the Packaging Guidelines.
[ok] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[ok] MUST: The License field in the package spec file must match the actual license.
[ok] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[ok] MUST: The spec file must be written in American English.
[ok] MUST: The spec file for the package MUST be legible.
[ok] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.
9bdfb453af49f28b70b731c5ac25ce58
[ok] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[ok] MUST: All build dependencies must be listed in BuildRequires.
[N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[N/A] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[ok] MUST: Packages must NOT bundle copies of system libraries.
[N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[ok] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[ok] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[ok] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[ok] MUST: Each package must consistently use macros.
[ok] MUST: The package must contain code, or permissable content.
[N/A] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[ok] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[N/A] MUST: Header files must be in a -devel package.
[N/A] MUST: Static libraries must be in a -static package.
[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[N/A] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[ok] MUST: Packages must not own files or directories already owned by other packages.
[ok] MUST: All filenames in rpm packages must be valid UTF-8.
[ok] MUST: Python eggs must be built from source.
[ok] MUST: Python eggs must not download any dependencies during the build process.
[N/A] MUST: When building a compat package, it must install using easy_install -m so it won't conflict with the main package.
[N/A] MUST: When building multiple versions (for a compat package) one of the packages must contain a default version that is usable via "import MODULE" with no prior setup.
[ok] SHOULD: The reviewer should test that the package builds in mock.
[] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

Please do so.

I don't see any problem that would require fixing, so I consider this package APPROVED !
Comment 2 Bohuslav "Slavek" Kabrda 2012-06-29 08:48:05 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: python-profilehooks
Short Description: Decorators for profiling/timing/tracing individual functions
Owners: bkabrda
Branches: 
InitialCC:
Comment 3 Gwyn Ciesla 2012-06-29 09:21:01 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.